Package com.independentsoft.office.odf.drawing

# Class Shape

java.lang.Object
com.independentsoft.office.odf.drawing.Shape

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `IParagraphContent`, `ITextContent`

Direct Known Subclasses:
  `Caption`, `Circle`, `Connector`, `Control`, `Ellipse`, `Frame`, `Group`, `Line`, `Measure`, `PageThumbnail`, `Path`, `Polygon`, `Polyline`, `Rectangle`, `RegularPolygon`

public abstract class Shape extends Object implements ITextContent, IParagraphContent
The Class Shape.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Size`
  `height`
  `protected String`
  `id`
  `protected String`
  `layer`
  `protected String`
  `name`
  `protected IContentElement`
  `parent`
  `protected String`
  `style`
  `protected String`
  `textStyle`
  `protected String`
  `transform`
  `protected Size`
  `width`
  `protected Size`
  `x`
  `protected Size`
  `y`
  `protected int`
  `zIndex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shape()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Shape`
  `clone()`
  `abstract List<IContentElement>`
  `getContentElements()`
  `Size`
  `getHeight()`
  Gets the height.
  `String`
  `getID()`
  Gets the id.
  `String`
  `getLayer()`
  Gets the layer.
  `String`
  `getName()`
  Gets the name.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets the style.
  `String`
  `getTextStyle()`
  Gets the text style.
  `String`
  `getTransform()`
  Gets the transform.
  `Size`
  `getWidth()`
  Gets the width.
  `Size`
  `getX()`
  Gets the x.
  `Size`
  `getY()`
  Gets the y.
  `int`
  `getZIndex()`
  Gets the z index.
  `void`
  `setHeight​(Size height)`
  Sets the height.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLayer​(String layer)`
  Sets the layer.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets the style.
  `void`
  `setTextStyle​(String textStyle)`
  Sets the text style.
  `void`
  `setTransform​(String transform)`
  Sets the transform.
  `void`
  `setWidth​(Size width)`
  Sets the width.
  `void`
  `setX​(Size x)`
  Sets the x.
  `void`
  `setY​(Size y)`
  Sets the y.
  `void`
  `setZIndex​(int zIndex)`
  Sets the z index.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### zIndex

    protected int zIndex

  - ### id

    protected String id

  - ### layer

    protected String layer

  - ### style

    protected String style

  - ### textStyle

    protected String textStyle

  - ### transform

    protected String transform

  - ### name

    protected String name

  - ### x

    protected Size x

  - ### y

    protected Size y

  - ### width

    protected Size width

  - ### height

    protected Size height

  - ### parent

    protected IContentElement parent

- ## Constructor Details

  - ### Shape

    public Shape()

- ## Method Details

  - ### clone

    public abstract Shape clone()
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `ITextContent`
    Overrides:
      `clone` in class `Object`

  - ### getContentElements

    public abstract List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getLayer

    public String getLayer()
    Gets the layer.
    Returns:
      the layer

  - ### setLayer

    public void setLayer​(String layer)
    Sets the layer.
    Parameters:
      `layer` - the new layer

  - ### getStyle

    public String getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getTextStyle

    public String getTextStyle()
    Gets the text style.
    Returns:
      the text style

  - ### setTextStyle

    public void setTextStyle​(String textStyle)
    Sets the text style.
    Parameters:
      `textStyle` - the new text style

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getZIndex

    public int getZIndex()
    Gets the z index.
    Returns:
      the z index

  - ### setZIndex

    public void setZIndex​(int zIndex)
    Sets the z index.
    Parameters:
      `zIndex` - the new z index

  - ### getTransform

    public String getTransform()
    Gets the transform.
    Returns:
      the transform

  - ### setTransform

    public void setTransform​(String transform)
    Sets the transform.
    Parameters:
      `transform` - the new transform

  - ### getX

    public Size getX()
    Gets the x.
    Returns:
      the x

  - ### setX

    public void setX​(Size x)
    Sets the x.
    Parameters:
      `x` - the new x

  - ### getY

    public Size getY()
    Gets the y.
    Returns:
      the y

  - ### setY

    public void setY​(Size y)
    Sets the y.
    Parameters:
      `y` - the new y

  - ### getWidth

    public Size getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Size width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getHeight

    public Size getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Size height)
    Sets the height.
    Parameters:
      `height` - the new height